Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## de.grogra.ray
Class Raytracer

    java.lang.Object
      de.grogra.ray.event.ProgressNotifier
          de.grogra.ray.Raytracer

Direct Known Subclasses:
  PhotonMapRaytracer

    public class Raytracer

extends ProgressNotifier

Field Summary
`static int` | `ADAPTIVE_SUPERSAMPLING`
`static int` | `BIDIRECTIONAL_PATHTRACING`
`static java.lang.String` | `CALCULATION_TIMER`
`static int` | `CONVENTIONAL_RAYTRACING`
`static int` | `DIRECT_LIGHTS`
`static int` | `HIGH_PRIORITY`
`static int` | `LOW_PRIORITY`
`protected Antialiasing` | `m_antialising`
`protected IntersectionProcessor` | `m_intersectionProcessor`
`protected LightProcessor` | `m_lightProcessor`
`protected RayProcessor` | `m_rayProcessor`
`protected int` | `m_raytracingDepth`
`static int` | `MEDIUM_PRIORITY`
`static int` | `NAIVE_INTERSECTION`
`static int` | `NO_ANTIALISING`
`static int` | `OCTREE_INTERSECTION`
`static int` | `PATHTRACING_HS`
`static int` | `PATHTRACING_MT`
`static int` | `PHOTONMAPPING`
`static java.lang.String` | `PREPARING_TIMER`
`static int` | `STOCHASTIC_SUPERSAMPLING`

Constructor Summary
`Raytracer()`

Method Summary
`void` | `disableDebugPixel()`
`void` | `enableDebugPixel(int x, int y, boolean markPixel)`
`static RTLight[]` | `getLights(RTScene scene)`
`int` | `getPriority()`
`int` | `getRaytracingDepth()`
`static RTObject[]` | `getShadeables(RTScene scene)`
`static float` | `getT(Ray ray, Point3f point)`
`protected java.lang.String` | `percentToString(double percent)`
`protected void` | `prepareRaytracing(RTScene scene, RTCamera camera)`
`void` | `printStatistics()`
`protected void` | `raytracing(java.awt.image.BufferedImage image)`
`void` | `renderScene(RTScene scene, RTCamera camera, java.awt.image.BufferedImage image)`
`void` | `setAntialisingPolicy(int policy)`
`void` | `setBrightnessScaleFactor(float value)`
`void` | `setIntersectionPolicy(int policy)`
`void` | `setLightModel(int policy)`
`void` | `setPathtracingPathCount(int value)`
`void` | `setPriority(int value)`
`void` | `setRaytracingDepth(int value)`
`void` | `setRaytracingPolicy(int policy)`

Methods inherited from class de.grogra.ray.event.ProgressNotifier
`addProgressListener, fire_progressChanged, removeProgressListener`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### ADAPTIVE_SUPERSAMPLING

    public static final int ADAPTIVE_SUPERSAMPLING

See Also:
  Constant Field Values

### BIDIRECTIONAL_PATHTRACING

    public static final int BIDIRECTIONAL_PATHTRACING

See Also:
  Constant Field Values

### CALCULATION_TIMER

    public static final java.lang.String CALCULATION_TIMER

See Also:
  Constant Field Values

### CONVENTIONAL_RAYTRACING

    public static final int CONVENTIONAL_RAYTRACING

See Also:
  Constant Field Values

### DIRECT_LIGHTS

    public static final int DIRECT_LIGHTS

See Also:
  Constant Field Values

### HIGH_PRIORITY

    public static final int HIGH_PRIORITY

See Also:
  Constant Field Values

### LOW_PRIORITY

    public static final int LOW_PRIORITY

See Also:
  Constant Field Values

### m_antialising

    protected Antialiasing m_antialising

### m_intersectionProcessor

    protected IntersectionProcessor m_intersectionProcessor

### m_lightProcessor

    protected LightProcessor m_lightProcessor

### m_rayProcessor

    protected RayProcessor m_rayProcessor

### m_raytracingDepth

    protected int m_raytracingDepth

### MEDIUM_PRIORITY

    public static final int MEDIUM_PRIORITY

See Also:
  Constant Field Values

### NAIVE_INTERSECTION

    public static final int NAIVE_INTERSECTION

See Also:
  Constant Field Values

### NO_ANTIALISING

    public static final int NO_ANTIALISING

See Also:
  Constant Field Values

### OCTREE_INTERSECTION

    public static final int OCTREE_INTERSECTION

See Also:
  Constant Field Values

### PATHTRACING_HS

    public static final int PATHTRACING_HS

See Also:
  Constant Field Values

### PATHTRACING_MT

    public static final int PATHTRACING_MT

See Also:
  Constant Field Values

### PHOTONMAPPING

    public static final int PHOTONMAPPING

See Also:
  Constant Field Values

### PREPARING_TIMER

    public static final java.lang.String PREPARING_TIMER

See Also:
  Constant Field Values

### STOCHASTIC_SUPERSAMPLING

    public static final int STOCHASTIC_SUPERSAMPLING

See Also:
  Constant Field Values

Constructor Detail

### Raytracer

    public Raytracer()

Method Detail

### disableDebugPixel

    public void disableDebugPixel()

### enableDebugPixel

    public void enableDebugPixel(int x,
                                 int y,
                                 boolean markPixel)

### getLights

    public static RTLight[] getLights(RTScene scene)

### getPriority

    public int getPriority()

### getRaytracingDepth

    public int getRaytracingDepth()

### getShadeables

    public static RTObject[] getShadeables(RTScene scene)

### getT

    public static float getT(Ray ray,
                             Point3f point)

### percentToString

    protected java.lang.String percentToString(double percent)

### prepareRaytracing

    protected void prepareRaytracing(RTScene scene,
                                     RTCamera camera)

### printStatistics

    public void printStatistics()

### raytracing

    protected void raytracing(java.awt.image.BufferedImage image)

### renderScene

    public void renderScene(RTScene scene,
                            RTCamera camera,
                            java.awt.image.BufferedImage image)

### setAntialisingPolicy

    public void setAntialisingPolicy(int policy)

### setBrightnessScaleFactor

    public void setBrightnessScaleFactor(float value)

### setIntersectionPolicy

    public void setIntersectionPolicy(int policy)

### setLightModel

    public void setLightModel(int policy)

### setPathtracingPathCount

    public void setPathtracingPathCount(int value)

### setPriority

    public void setPriority(int value)

### setRaytracingDepth

    public void setRaytracingDepth(int value)

### setRaytracingPolicy

    public void setRaytracingPolicy(int policy)

Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD